4 Replies Latest reply on Apr 25, 2014 1:33 PM by Glenn Murray

    FuseByExample esb-transaction fails on features:install

    Glenn Murray Newbie

      I am unable to install features in Fuse 6.1 for esb-transactions. I have downloaded from branch jboss-fuse-6.1 the fixes implemented per issue ENTESB-1109, but still get the error below. Thanks for your assistance.

       

      java.lang.Exception: Could not start bundle mvn:org.apache.geronimo.components/geronimo-connector/2.2.2 in feature(s) transactions-openjpa-demo-0.0.0: Unresolved constraint in bundle org.apache.geronimo.components.geronimo-connector [364]: Unable to resolve 364.0: missing requirement [364.0] osgi.wiring.package; (&(osgi.wiring.package=org.apache.geronimo.transaction.manager)(version>=2.2.0)(!(version>=3.0.0)))

          at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeatures(FeaturesServiceImpl.java:477)[22:org.apache.karaf.features.core:2.3.0.redhat-610379]

          at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeature(FeaturesServiceImpl.java:404)[22:org.apache.karaf.features.core:2.3.0.redhat-610379]

          at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeature(FeaturesServiceImpl.java:400)[22:org.apache.karaf.features.core:2.3.0.redhat-610379]

          at org.apache.karaf.features.command.InstallFeatureCommand.doExecute(InstallFeatureCommand.java:62)[26:org.apache.karaf.features.command:2.3.0.redhat-610379]

          at org.apache.karaf.features.command.FeaturesCommandSupport.doExecute(FeaturesCommandSupport.java:41)[26:org.apache.karaf.features.command:2.3.0.redhat-610379]

          at org.apache.karaf.shell.console.OsgiCommandSupport.execute(OsgiCommandSupport.java:39)[17:org.apache.karaf.shell.console:2.3.0.redhat-610379]

          at org.apache.felix.gogo.commands.basic.AbstractCommand.execute(AbstractCommand.java:35)[17:org.apache.karaf.shell.console:2.3.0.redhat-610379]

          at org.apache.felix.gogo.runtime.CommandProxy.execute(CommandProxy.java:78)[15:org.apache.felix.gogo.runtime:0.11.0.redhat-610379]

          at org.apache.felix.gogo.runtime.Closure.executeCmd(Closure.java:477)[15:org.apache.felix.gogo.runtime:0.11.0.redhat-610379]

          at org.apache.felix.gogo.runtime.Closure.executeStatement(Closure.java:403)[15:org.apache.felix.gogo.runtime:0.11.0.redhat-610379]

          at org.apache.felix.gogo.runtime.Pipe.run(Pipe.java:108)[15:org.apache.felix.gogo.runtime:0.11.0.redhat-610379]

          at org.apache.felix.gogo.runtime.Closure.execute(Closure.java:183)[15:org.apache.felix.gogo.runtime:0.11.0.redhat-610379]

          at org.apache.felix.gogo.runtime.Closure.execute(Closure.java:120)[15:org.apache.felix.gogo.runtime:0.11.0.redhat-610379]

          at org.apache.felix.gogo.runtime.CommandSessionImpl.execute(CommandSessionImpl.java:89)[15:org.apache.felix.gogo.runtime:0.11.0.redhat-610379]

          at org.apache.karaf.shell.console.jline.Console.run(Console.java:189)[17:org.apache.karaf.shell.console:2.3.0.redhat-610379]

          at org.apache.karaf.shell.console.jline.DelayedStarted.run(DelayedStarted.java:61)[17:org.apache.karaf.shell.console:2.3.0.redhat-610379]

      Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle org.apache.geronimo.components.geronimo-connector [364]: Unable to resolve 364.0: missing requirement [364.0] osgi.wiring.package; (&(osgi.wiring.package=org.apache.geronimo.transaction.manager)(version>=2.2.0)(!(version>=3.0.0)))

          at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4225)[org.apache.felix.framework-4.0.3.redhat-610379.jar:]

          at org.apache.felix.framework.Felix.startBundle(Felix.java:2063)[org.apache.felix.framework-4.0.3.redhat-610379.jar:]

          at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:955)[org.apache.felix.framework-4.0.3.redhat-610379.jar:]

          at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:942)[org.apache.felix.framework-4.0.3.redhat-610379.jar:]

          at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeatures(FeaturesServiceImpl.java:474)[22:org.apache.karaf.features.core:2.3.0.redhat-610379]

          ... 15 more